'use client';
import PanelCodeHighlight from '@/components/panel-code-highlight';
import React, { useState } from 'react';
import ImageUploading, { ImageListType } from 'react-images-uploading';

export default function() {
    const [images, setImages] = useState<any>([]);
    const maxNumber = 69;
    const onChange = (imageList: ImageListType, addUpdateIndex: number[] | undefined) => {
        setImages(imageList as never[]);
    };
    return (
        <PanelCodeHighlight
            title="فایل تکی"
        >
            <div className="mb-5">
                <div className="custom-file-container" data-upload-id="myFirstImage">
                    <div className="label-container">
                        <label>آپلود </label>
                        <button
                            type="button"
                            className="custom-file-container__image-clear"
                            title="پاک کردن"
                            onClick={() => {
                                setImages([]);
                            }}
                        >
                            ×
                        </button>
                    </div>
                    <label className="custom-file-container__custom-file"></label>
                    <input type="file" className="custom-file-container__custom-file__custom-file-input" accept="image/*" />
                    <input type="hidden" name="MAX_FILE_SIZE" value="10485760" />
                    <ImageUploading value={images} onChange={onChange} maxNumber={maxNumber}>
                        {({ imageList, onImageUpload, onImageRemoveAll, onImageUpdate, onImageRemove, isDragging, dragProps }) => (
                            <div className="upload__image-wrapper">
                                <button className="custom-file-container__custom-file__custom-file-control" onClick={onImageUpload}>
                                    انتخاب فایل ...
                                </button>
                                &nbsp;
                                {imageList.map((image, index) => (
                                    <div key={index} className="custom-file-container__image-preview relative">
                                        <img src={image.dataURL} alt="img" className="m-auto" />
                                    </div>
                                ))}
                            </div>
                        )}
                    </ImageUploading>
                    {images.length === 0 ? <img src="/assets/images/file-preview.svg" className="m-auto w-full max-w-md" alt="" /> : ''}
                </div>
            </div>
        </PanelCodeHighlight>
    );
}
